[android-components](../../index.md) / [mozilla.components.browser.state.state](../index.md) / [CustomTabActionButtonConfig](./index.md)

# CustomTabActionButtonConfig

`data class CustomTabActionButtonConfig` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/state/CustomTabConfig.kt#L52)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `CustomTabActionButtonConfig(description: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, icon: <ERROR CLASS>, pendingIntent: <ERROR CLASS>, id: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = CustomTabsIntent.TOOLBAR_ACTION_BUTTON_ID, tint: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false)` |

### Properties

| Name | Summary |
|---|---|
| [description](description.md) | `val description: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [icon](icon.md) | `val icon: <ERROR CLASS>` |
| [id](id.md) | `val id: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [pendingIntent](pending-intent.md) | `val pendingIntent: <ERROR CLASS>` |
| [tint](tint.md) | `val tint: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
